Opened 9 years ago

Closed 8 years ago

#12151 closed defect (fixed)

purple-remote is incompatible with python2.6

Reported by: ari Owned by: rekkanoryo
Milestone: 2.7.8 Component: unclassified
Version: 2.7.1 Keywords:
Cc:

Description

Python2.6 doesn't let you raise string exceptions anymore. I just whipped up this quick patch to wrap the strings in an Exception object.

Attachments (1)

python26.patch (1.1 KB) - added by ari 9 years ago.

Download all attachments as: .zip

Change History (2)

Changed 9 years ago by ari

comment:1 Changed 8 years ago by ari@…

  • Milestone set to 2.7.8
  • Resolution set to fixed
  • Status changed from new to closed

(In 9150bc33060de0b745c92d457efe1bb135eb1229):
Fix purple-remote on Python 2.6+.

Use Exception objects instead of string exceptions, which are no longer supported on 2.6+.

Fixes #12151.

Note: See TracTickets for help on using tickets.
All information, including names and email addresses, entered onto this website or sent to mailing lists affiliated with this website will be public. Do not post confidential information, especially passwords!